Skip to main content

Get Reports For Target Player Uuid

GET 

/sanctions/v2/player/:player_uuid/reports

Get reports for a target player Required Permissions:

  • For any player (including themselves) any of: sanction:*, sanction:report:read:target-any

  • For the player themselves : sanction:report:read:target-self

Source players will be empty without the Required Permissions:

  • For any player (including themselves) any of: sanction:*, sanction:report:read:source-any

  • For the player themselves : sanction:report:read:source-self

Request

Path Parameters

    player_uuid uuidrequired

Query Parameters

    cursor any

    Pass this on subsequent calls to iterate forwards. Null/missing value indicates the first page

    page_size Page Size

    Default value: 10

Responses

Successful Response

Schema

    reports

    object[]

    required

    A list of player reports

  • Array [

  • report_id Report Id (string)required

    Unique ID for the player report

    source_player_uuid

    object

    The player UUID of the source player. May be missing depending on permissions

    anyOf

    string

    source_player_id

    object

    deprecated

    DEPRECATED: Use source_player_uuid instead. The player ID of the source player

    anyOf

    integer

    target_player_uuid

    object

    required

    The player UUID of the target player. May be missing depending on permissions

    anyOf

    string

    target_player_id

    object

    deprecated

    DEPRECATED: Use target_player_uuid instead. The player ID of the target player

    anyOf

    integer

    reason ReportReason (string)required

    Possible values: [cheating, hate_speech, harassment, real_life_threat, teaming, intentional_feeding, stream_sniping, afk, didnt_play_assigned_role, other]

    Reason a player is submitting the report.

    description

    object

    The description of the report

    anyOf

    string

    Possible values: non-empty and <= 4096 characters

    session_id

    object

    The session ID of the report

    anyOf

    string

    instance_id

    object

    The instance ID of the report

    anyOf

    string

    match_id

    object

    The match ID of the report

    anyOf

    string

    match_segment

    object

    The match segment of the report

    anyOf

    string

    custom_data

    object

    Custom data for the report

    property name* string

    created

    object

    The date and time the report was created

    anyOf

    string

    modified

    object

    The date and time the report was last modified

    anyOf

    string

  • ]

  • next_cursor

    object

    Pass this on subsequent calls to iterate forwards. Null/missing value indicates the last page

    anyOf

    string

    Possible values: non-empty and <= 1024 characters

Loading...